## gnumeric 1.10.1

=== debian/changelog ===
gnumeric (1.10.1-1ubuntu1) lucid; urgency=low

  * FFe granted, upload to ubuntu. lp: #542021, #543612

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 21 Mar 2010 23:51:56 +0100

gnumeric (1.10.1-1ubuntu1~ppa1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - Add transitional gnumeric-gtk package:
      + debian/control: Add package.
      + gnumeric conflicts with gnumeric-gtk << 1.8.3-3ubuntu1
      + Needs to be kept until after lucid's release for LTS→LTS upgrades.
      + lintian errors regarding gnumeric-gtk can be ignored due to it being
        a transitional package.
    - call intltool-update in po*.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 20 Mar 2010 16:29:52 +0100

gnumeric (1.10.1-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control] Updated goffice build dependency to build against
    renamed packages.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 09 Mar 2010 21:45:03 +0100

gnumeric (1.10.0-1ubuntu2) lucid; urgency=low

  * Rebuild to include translations, since it has been demoted to universe.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 14 Mar 2010 17:45:01 +0100

gnumeric (1.10.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - Add transitional gnumeric-gtk package:
      + debian/control: Add package.
      + gnumeric conflicts with gnumeric-gtk << 1.8.3-3ubuntu1
      + Needs to be kept until after lucid's release for LTS→LTS upgrades.
      + lintian errors regarding gnumeric-gtk can be ignored due to it being
        a transitional package.
    - call intltool-update in po*
    - remove psiconv support (psiconv is in universe):
      + debian/control: remove B-D on libpsiconv-dev
      + debian/rules: don't pass --with-psiconv to ./configure
      + debian/gnumeric-plugins-extra.install: don't install the psiconv
        plugin

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 01:37:12 -0500

gnumeric (1.10.0-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control]
    * Updated Standards-Version.
    * Bumped goffice build dependency as per configure.in .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 15 Feb 2010 13:59:38 +0100

gnumeric (1.9.18-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - Add transitional gnumeric-gtk package:
      + debian/control: Add package.
      + gnumeric conflicts with gnumeric-gtk << 1.8.3-3ubuntu1
      + Needs to be kept until after lucid's release for LTS→LTS upgrades.
      + lintian errors regarding gnumeric-gtk can be ignored due to it being
        a transitional package.
    - call intltool-update in po*
    - remove psiconv support (psiconv is in universe):
      + debian/control: remove B-D on libpsiconv-dev
      + debian/rules: don't pass --with-psiconv to ./configure
      + debian/gnumeric-plugins-extra.install: don't install the psiconv
        plugin

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 10 Feb 2010 00:08:05 -0500

gnumeric (1.9.18-1) unstable; urgency=low

  * New upstream release. Upstream development is now in a "code slush"
    towards a new stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 26 Jan 2010 21:19:45 +0100

gnumeric (1.9.17-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - Add transitional gnumeric-gtk package:
      + debian/control: Add package.
      + gnumeric conflicts with gnumeric-gtk << 1.8.3-3ubuntu1
      + Needs to be kept until after lucid's release for LTS→LTS upgrades.
      + lintian errors regarding gnumeric-gtk can be ignored due to it being
        a transitional package.
    - call initltool-update in po*
    - remove psiconv support (psiconv is in universe):
      + debian/control: remove B-D on libpsiconv-dev
      + debian/rules: don't pass --with-psiconv to ./configure
      + debian/gnumeric-plugins-extra.install: don't install the psiconv
        plugin

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 10 Jan 2010 17:14:27 -0500

gnumeric (1.9.17-1) unstable; urgency=low

  * New upstream release. Changes include:
    * Fix selection problem (bugzilla.gnome.org #601107). (Closes: #552302)
  * [debian/source/format] Added - switch to source format 3.0 (quilt).
  * [debian/control] Bumped goffice build dependency as per configure.in .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 16 Dec 2009 19:39:19 +0100

gnumeric (1.9.16-1) unstable; urgency=low

  * [debian/control]
    * Bumped goffice build dependency as per configure.in .
    * Added gnumeric Recommends: lp-solve as Linear Programming solving has
      been moved into a plugin that uses the external lp_solve program.
  * [debian/rules, debian/control, debian/gnumeric-plugins-extra.install]
    Disable GDA support as it requires newer GDA packages than are available
    in unstable.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Dec 2009 20:52:06 +0100

gnumeric (1.9.15-1) unstable; urgency=medium

  * New upstream development release.
  * Urgency medium to catch up with new goffice.
  * [debian/control] Bumped goffice build dependency as per configure.in .
  * [debian/gnumeric.mime] Added entry for application/x-lpsolve .
  * [debian/gnumeric-common.links] Dropped.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 03 Nov 2009 13:32:32 +0100

gnumeric (1.9.14-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing. Remaining Ubuntu changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be

