## gnumeric 1.10.2-1

=== debian/changelog ===
gnumeric (1.10.2-1) unstable; urgency=low

  * Update to 1.10.2

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Sat,  1 May 2010 15:34:10 +0200
