## gnumeric 1.10.8

=== debian/changelog ===
gnumeric (1.10.8-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - call intltool-update in po*.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 05 Aug 2010 12:03:13 +0200

gnumeric (1.10.8-1) unstable; urgency=low

  * New upstream stable release. Changes include:
    * Save default search settings. (Closes: #451641)
    * Add new function SORT; add menu item to wrap SORT around an existing
      range. (Closes: #306543)
  * [debian/gnumeric.templates] Added entry for the debconf prompt title.
  * [debian/gnumeric.preinst] Use template to allow for translation of the
    debconf prompt title.
  * [debian/rules] Call dh_perl. Call debconf-updatepo in "clean" target.
  * [debian/control]
    * Bumped goffice build dependency as per configure.in .
    * Added gnumeric-plugins-extra Depends: ${perl:Depends}.
    * Use "Breaks" instead of "Conflicts".
    * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 31 Jul 2010 12:19:55 +0200

gnumeric (1.10.7-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - call intltool-update in po*.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 03 Jul 2010 15:58:55 +0200

gnumeric (1.10.7-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 29 Jun 2010 17:31:38 +0200

gnumeric (1.10.6-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - call intltool-update in po*.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 20 Jun 2010 22:54:48 +0200

gnumeric (1.10.6-1) unstable; urgency=low

  * New upstream stable release. Changes include:
    * Improve ACCRINT and its description. (Closes: #560770)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 19 Jun 2010 13:08:11 +0200

gnumeric (1.10.5-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #588664), remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - call intltool-update in po*.

 -- Lorenzo De Liso <blackzldl@gmail.com>  Wed, 02 Jun 2010 23:46:56 +0200

gnumeric (1.10.5-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control] Bumped goffice build dependency as per configure.in .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Jun 2010 08:39:08 +0200

gnumeric (1.10.4-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Promoted gnumeric-doc to Recommends in gnumeric package for help to be
      installed automatically.
    - call intltool-update in po*.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 23 May 2010 17:03:44 +0200

gnumeric (1.10.4-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 21 May 2010 20:15:35 +0200

gnumeric (1.10.3-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control] Bumped goffice build dependency as per configure.in .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 09 May 2010 12:20:16 +0200
