=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
 
 # Try to preserve timestamps as much as possible
 export INSTALL=/usr/bin/install -p
@@ -32,54 +29,39 @@
 # We're aiming for a package that's stable, with as much functionality as is
 # reasonably possible.
 
-features:=
+features:= 
 
 # Spreadsheet indexer for beagle
-features+= --disable-ssindex
+features+= --enable-ssindex
 
 # Plugins to access databases through the GDA framework and through GnomeDB.
 #
-# The GDA and GnomeDB plugins for gnumeric now require versions of GDA and
-# GnomeDB that are not available as packages yet.
-#	Mon, 10 Oct 2005 20:37:06 +0200
+# The GnomeDB plugin for gnumeric requires a version of GnomeDB that is not
+# available as packages yet.
+#	Tue, 01 Sep 2009 20:49:41 +0200
+# Likewise for GDA.
+#	Sun, 29 Nov 2009 22:29:18 +0100
 features+= --without-gda --without-gnomedb
 
-# configure.in: "Gnome Basic is extremely API unstable; it is likely that
-# gnumeric will only build with the single version mentioned in
-# configure.in, if at all. It is possible, but unlikely, that Gnome Basic
-# contains security vulnerabilities."
-features+= --without-gb
-
 # Psion files support
-features+= --without-psiconv
+features+= --with-psiconv
 
 # Paradox database files plugin
-features+= --without-paradox
+features+= --with-paradox
 
 # Perl plugin
-features+= --without-perl
+features+= --with-perl
 
 # The Python plugin
-features+= --without-python
-
-# Bonobo allows us to use parts of other applications as components via
-# CORBA, and was supposed to allow us to work as a component for other
-# applications. However, that promise hasn't really been realised and
-# according to Morten Welinder "drop bonobo from your build.  it's
-# pointless."
-features+= --without-bonobo
+features+= PYTHON=/usr/bin/python --with-python
 
 # Don't build a PDF of the documentation.
 features+= --disable-pdfdocs
 
-# Build for Maemo/Hildon
-features+= --enable-hildon
-
 ## Enable it for my development tree:
 #features+= --enable-pdfdocs
 
 confflags :=	--prefix=/usr \
-		--enable-hildon \
 		--mandir=\$${prefix}/share/man \
 		--sysconfdir=/etc \
 		--localstatedir=/var/lib \
@@ -108,19 +90,24 @@
 # for all libraries specified in the link line.
 LDFLAGS += -Wl,--as-needed
 
-export HILDON_LIBS="-lhildonfm -lhildon-1 -losso"
-
 source-updates:
+# This target is not part of the regular package build process. It is used
+# by the package maintainer for development purposes and may have
+# dependencies beyond the build dependencies specified in debian/control.
 	rm -f configure-stamp
 	# Update files generated by autotools
 	env srcdir=`pwd` NOCONFIGURE=1 \
 		LIBTOOLIZE="libtoolize --copy" \
 		INTLTOOLIZE="intltoolize --copy" \
 		sh autogen.sh $(confflags)
+	convert icons/32x32/gnumeric.png -depth 4 debian/gnome-gnumeric.xpm
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+
+	cd po; intltool-update -p
+	cd po-functions; intltool-update -p
 
 	# Prepare for build
 	 
@@ -129,7 +116,6 @@
 		../configure $(confflags) "CC=$(CC) $(LDFLAGS)" "CFLAGS=$(CFLAGS)"
 
 	touch configure-stamp
-	cp doltlibtool build/doltlibtool;
 
 build: configure-stamp build-stamp
 build-stamp:
@@ -158,6 +144,8 @@
 		fi; \
 	done
 
+	debconf-updatepo
+
 	-find -type f -name 'Makefile.in' | sed -e 's/\.in$$//' | xargs rm -f
 	-rm -f po/*.gmo
 
@@ -177,7 +165,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	cd build && env GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
@@ -188,7 +176,7 @@
 		scrollkeeper_localstate_dir=/var/lib/scrollkeeper
 
 	# Plugins are not intended as stand-alone executables
-	find `pwd`/debian/tmp/usr/lib/gnumeric/*/plugins -type f -print0 | xargs -0 chmod a-x
+	find `pwd`/debian/tmp/usr/lib/*/*/plugins -type f -print0 | xargs -0 chmod a-x
 
 	# Remove unwanted files: static libraries and documentation sources
 	find `pwd`/debian/tmp/usr/ -name '*.a' -print0 | xargs -0 rm -f
@@ -209,30 +197,30 @@
 	rm -rf `pwd`/debian/tmp/var/lib/scrollkeeper
 
 	# Low-colour icon for use by the menu system
-	#$(INSTALL) -m 644 debian/gnome-gnumeric.xpm `pwd`/debian/tmp/usr/share/pixmaps/
+	$(INSTALL) -m 644 debian/gnome-gnumeric.xpm `pwd`/debian/tmp/usr/share/pixmaps/
 
 	# Checksums of historical versions of conffiles
 	$(INSTALL) -m 644 debian/gnumeric-dialogs.schemas.md5sum debian/gnumeric-general.schemas.md5sum debian/gnumeric-plugins.schemas.md5sum `pwd`/debian/tmp/usr/share/gnumeric/
 
-	dh_install --sourcedir=`pwd`/debian/tmp
+	dh_install --sourcedir=`pwd`/debian/tmp --fail-missing
 
 	# Name the binary just "gnumeric"
 	cd debian/gnumeric/usr/bin && mv gnumeric-* gnumeric
 
-	#dh_link usr/share/gnumeric/$(upstreamversion)/idl/GNOME_Gnumeric.idl usr/share/idl/GNOME_Gnumeric.idl
+	dh_link usr/share/gnumeric/$(upstreamversion)/idl/GNOME_Gnumeric.idl usr/share/idl/GNOME_Gnumeric.idl
 
 	# Make the documentation accessible to gnumeric
-	#dh_link -pgnumeric-doc usr/share/gnome/help/gnumeric usr/share/gnumeric/$(upstreamversion)/doc
-
-	#dh_link -pgnumeric-doc usr/share/xml/docbook/stylesheet/nwalsh/images/ usr/share/gnumeric/$(upstreamversion)/doc/C/images
+	dh_link -pgnumeric-doc usr/share/gnome/help/gnumeric usr/share/gnumeric/$(upstreamversion)/doc
+
+	dh_link -pgnumeric-doc usr/share/xml/docbook/stylesheet/nwalsh/images/ usr/share/gnumeric/$(upstreamversion)/doc/C/images
 
 	# Remove files from the main package that belong to a more
 	# specialist package
 	# (dh_install doesn't do the right thing here IMO; perhaps it
 	# doesn't like multiple globs in one line)
-	#while read l ; do \
-	#	rm -rvf debian/gnumeric/$$l ; \
-	#done < debian/gnumeric-plugins-extra.install
+	while read l ; do \
+		rm -rvf debian/gnumeric/$$l ; \
+	done < debian/gnumeric-plugins-extra.install
 
 	# Remove dirs that are now empty
 	-find debian/gnumeric -depth -type d | xargs rmdir >/dev/null 2>&1
@@ -246,9 +234,9 @@
 	dh_installdocs -i
 
 	dh_installexamples -i
-#	dh_pycentral -i
+	dh_pycentral -i
 	#dh_python -i
-#	dh_installmenu -i
+	dh_installmenu -i
 #	dh_installlogrotate -i
 #	dh_installemacsen -i
 #	dh_installpam -i
@@ -261,11 +249,30 @@
 #	dh_undocumented -i
 	dh_installchangelogs ChangeLog -i
 	dh_gconf -i
-	dh_scrollkeeper -i
-	dh_desktop -i
+	dh_icons -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-#	dh_perl -i
+	dh_perl -i
 	dh_gencontrol -v -i -- -VUpstream-Version=$(upstreamversion)
+	dh_md5sums -i
+	dh_builddeb -i
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdebconf -a
+	dh_installdocs -a --noscripts
+	rm -rf `pwd`/debian/gnumeric-doc/usr/share/doc-base
+	dh_installexamples -a
+	dh_pycentral -a
+	#dh_python -a
+	dh_installmenu -a
+#	dh_installlogrotate -a
+#	dh_installemacsen -a
+#	dh_installpam -a
+	dh_installmime -a
+#	dh_installinit -a
+	dh_installcron -a
